%define module_name Test-Mojo-Role-Selenium
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Method/Modifiers.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Mojolicious.pm) perl(Role/Tiny.pm) perl(Selenium/Remote/WebElement.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.16
Release: alt1
Summary: Test::Mojo in a real browser
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/test-mojo-role-selenium

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JH/JHTHORSEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Test::Mojo::Role::Selenium manpage is a role that extends the Test::Mojo manpage with
additional methods which checks behaviour in a browser. All the heavy lifting
is done by the Selenium::Remote::Driver manpage.

Some of the the Selenium::Remote::Driver manpage methods are available directly in this
role, while the rest are available through the object held by the the driver entry elsewhere in this document
attribute. Please let me know if you think more tests or methods should be
provided directly by the Test::Mojo::Role::Selenium manpage.

This role is EXPERIMENTAL and subject to change.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/T*

%changelog
* Sat Jan 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- regenerated from template by package builder

* Thu Dec 13 2018 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Sat Nov 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Mon May 01 2017 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Mon Apr 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Thu Jan 12 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

